View Issue Details

IDProjectCategoryView StatusLast Update
16220Bug reportsImport/Exportpublic2021-02-24 10:36
ReporterJmantysalo Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.1.18 
Summary16220: queXML PDF-export and reset button
Description

On queXML PDF-export -page "Reset now" -button does not reset but does export, just like the export-button.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Versio 4.1.18+200416
I will donate to the project if issue is resolvedNo
Sync to Zoho ProjectYes
Browser
Database & DB-VersionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Activities

Jmantysalo

Jmantysalo

2020-09-17 15:58

reporter   ~59861

The page generated by LS is not valid HTML.

In Firefox the problem can be solved by adding end tag </form> after line 178 at application/views/admin/survey/queXMLSurvey_view.php. However, then HTML will be broken in another way and may not work on another browser, but that is unlikely. Should I proceed?

cdorin

cdorin

2020-12-23 17:59

manager   ~61137

Last edited: 2020-12-23 21:38

Could you please check @vharris if the issue exists in LS 4.4.0 RC1?

Jmantysalo

Jmantysalo

2020-12-23 19:49

reporter   ~61150

Last edited: 2020-12-23 21:38

Could you please check @vharris if the issue exists in LS 4.4.0 RC1?

Tested, the bug still exists.

gabrieljenik

gabrieljenik

2021-02-12 15:57

developer   ~62216

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1757

gabrieljenik

gabrieljenik

2021-02-18 10:46

developer   ~62344

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=31124

lime_release_bot

lime_release_bot

2021-02-24 10:36

administrator   ~62480

Fixed in Release 4.4.10+210222

Related Changesets

LimeSurvey: master 317e6d09

2021-02-18 10:14:33

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16220: queXML PDF-export and reset button (#1757) Affected Issues
16220
mod - application/views/admin/survey/queXMLSurvey_view.php Diff File
mod - assets/packages/adminbasics/build/adminbasics.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js.map Diff File
mod - assets/packages/adminbasics/build/adminbasics.rtl.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.rtl.min.css Diff File
mod - assets/packages/adminbasics/src/parts/save.js Diff File

Issue History

Date Modified Username Field Change
2020-05-04 08:58 Jmantysalo New Issue
2020-09-17 15:58 Jmantysalo Note Added: 59861
2020-12-23 17:59 cdorin Assigned To => vharris
2020-12-23 17:59 cdorin Status new => feedback
2020-12-23 17:59 cdorin Note Added: 61137
2020-12-23 19:49 Jmantysalo Note Added: 61150
2020-12-23 19:49 Jmantysalo Status feedback => assigned
2020-12-23 21:38 cdorin Assigned To vharris =>
2020-12-23 21:38 cdorin Priority none => normal
2020-12-23 21:38 cdorin Status assigned => confirmed
2020-12-23 21:38 cdorin Sync to Zoho Project => Yes
2021-02-12 15:57 gabrieljenik Note Added: 62216
2021-02-18 10:46 gabrieljenik Changeset attached => LimeSurvey master 317e6d09
2021-02-18 10:46 gabrieljenik Note Added: 62344
2021-02-18 10:46 gabrieljenik Assigned To => gabrieljenik
2021-02-18 10:46 gabrieljenik Resolution open => fixed
2021-02-24 10:36 lime_release_bot Sync to Zoho Project Yes => Yes
2021-02-24 10:36 lime_release_bot Note Added: 62480
2021-02-24 10:36 lime_release_bot Status confirmed => closed